Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 885675 - update netbeans-platform to 8.0.2
Summary: update netbeans-platform to 8.0.2
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: netbeans-platform
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1027609
Blocks: 781388 810049
TreeView+ depends on / blocked
 
Reported: 2012-12-10 11:41 UTC by gil cattaneo
Modified: 2020-01-29 17:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 15:34:16 UTC
Type: Bug


Attachments (Terms of Use)
update to 7.2.1 (25.49 KB, patch)
2012-12-10 11:41 UTC, gil cattaneo
no flags Details | Diff
Proposed patch for new jna library (5.88 KB, patch)
2013-01-08 21:14 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2012-12-10 11:41:45 UTC
Created attachment 660747 [details]
update to 7.2.1

please, update to 7.2.1
tested on (f18) http://koji.fedoraproject.org/koji/taskinfo?taskID=4772447

NOTE
in rawhide jna is 3.5.0
and there are some problems:

   [repeat] warning: No processor claimed any of these annotations: org.netbeans.api.annotations.common.SuppressWarnings
   [repeat] /builddir/build/BUILD/netbeans-platform-7.2.1/keyring.impl/src/org/netbeans/modules/keyring/gnome/GnomeKeyringLibrary.java:140: error: GnomeKeyringFound is not abstract and does not override abstract method getFieldOrder() in Structure
   [repeat]     class GnomeKeyringFound extends Structure {
   [repeat]     ^
   [repeat] /builddir/build/BUILD/netbeans-platform-7.2.1/keyring.impl/src/org/netbeans/modules/keyring/win32/Win32Protect.java:158: error: CryptIntegerBlob is not abstract and does not override abstract method getFieldOrder() in Structure
   [repeat]     public static class CryptIntegerBlob extends Structure {

see http://koji.fedoraproject.org/koji/taskinfo?taskID=4772320

thanks
regards

Comment 1 Vedran Miletić 2012-12-28 23:30:22 UTC
+1

Any progress on actually getting these packages into Fedora? I see NetBeans was actually removed from F18, and this would be a very welcome comeback.

Comment 2 Vedran Miletić 2012-12-29 15:02:08 UTC
Gil, I was thinking about this for a bit. If you want to get NB 7.3 in F19, you should write up a feature page and sum the requirements what needs to be done. Then, you can qualify it for inclusion in F19.

I'm willing to collaborate on this.

Comment 3 gil cattaneo 2012-12-29 16:47:56 UTC
hi Vedran,
(In reply to comment #2)
> Gil, I was thinking about this for a bit. If you want to get NB 7.3 in F19,
.. has not yet been released a stable version
i dont want start with a beta version (sorry) 7.3beta2
> you should write up a feature page and sum the requirements what needs to be
> done. Then, you can qualify it for inclusion in F19.
I do not know where to start .
> 
> I'm willing to collaborate on this.

regards
happy new year

Comment 4 Vedran Miletić 2012-12-29 18:43:41 UTC
Great. I would wait for at least 7.3 RC or something before getting into anything big, and we would target F19 anyway so 7.3 final will be available by then.

Here is a feature page, based on one for NetBeans 6.9: https://fedoraproject.org/wiki/Features/NetBeans_7.3

If it's not too hard to do, my idea would be to package the "All" version and split it properly so a user installing NetBeans can choose components he wants. From what I understand, Fedora was packaging Java SE version.

Comment 5 gil cattaneo 2013-01-08 19:00:27 UTC
(In reply to comment #0)
> Created attachment 660747 [details]
> update to 7.2.1
> 
> please, update to 7.2.1
> tested on (f18) http://koji.fedoraproject.org/koji/taskinfo?taskID=4772447
> 
> NOTE
> in rawhide jna is 3.5.0
> and there are some problems:
> 
>    [repeat] warning: No processor claimed any of these annotations:
> org.netbeans.api.annotations.common.SuppressWarnings
>    [repeat]
> /builddir/build/BUILD/netbeans-platform-7.2.1/keyring.impl/src/org/netbeans/
> modules/keyring/gnome/GnomeKeyringLibrary.java:140: error: GnomeKeyringFound
> is not abstract and does not override abstract method getFieldOrder() in
> Structure
>    [repeat]     class GnomeKeyringFound extends Structure {
>    [repeat]     ^
>    [repeat]
> /builddir/build/BUILD/netbeans-platform-7.2.1/keyring.impl/src/org/netbeans/
> modules/keyring/win32/Win32Protect.java:158: error: CryptIntegerBlob is not
> abstract and does not override abstract method getFieldOrder() in Structure
>    [repeat]     public static class CryptIntegerBlob extends Structure {
> 

a build fix e.g available @ http://pkgs.fedoraproject.org/cgit/svnkit.git/tree/svnkit-jna-3.5.0.patch

Comment 6 gil cattaneo 2013-01-08 21:14:27 UTC
Created attachment 675065 [details]
Proposed patch for new jna library

Proposed patch for new jna library.
jna was been updated to 3.5.0 in rawhide (...)

Comment 7 gil cattaneo 2013-01-08 21:16:03 UTC
tested on http://koji.fedoraproject.org/koji/taskinfo?taskID=4849559

Comment 8 Fedora End Of Life 2013-04-03 16:35:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 9 marcindulak 2013-09-21 17:21:36 UTC
Anybody working on this?

Comment 10 gil cattaneo 2013-09-21 20:34:31 UTC
(In reply to marcindulak from comment #9)
> Anybody working on this?

i don't know ... netbeans-platform is used by visualvm, and at the moment
haven't interest to touch this package. 
i would not like to build N-P separate from netbeans package
there are some problems, if you want build separately, e.g. occur during the use and startup various problems related to some libraries not found
sorry i don't remember has been a long time since I tried to build it and use it
and I can not give you, now, a better explanation

Comment 11 jiri vanek 2013-09-23 13:44:27 UTC
I'm for update of NB platform. If issues will rise in visual vm, then there will be time to update it to. And if not, then it will be reason for me to drop it.

Comment 12 Manuel Faux 2013-11-08 08:23:04 UTC
I'm currently working on this, see https://fedoraproject.org/wiki/Features/NetBeans_7.4 for status.

Is it good practise to change the title of the bug to the current NetBeans version, since nobody will ever work on 7.2.1 anymore, as 7.4 is the current release?

Comment 13 gil cattaneo 2013-11-08 15:26:23 UTC
this package is only required by http://pkgs.fedoraproject.org/cgit/visualvm.git/
and we haven't no more intentions to build in a separate package

Comment 14 Manuel Faux 2013-11-08 17:28:00 UTC
(In reply to gil cattaneo from comment #13)
> this package is only required by
> http://pkgs.fedoraproject.org/cgit/visualvm.git/
> and we haven't no more intentions to build in a separate package

Is visualvm no longer maintained? So would you suggest to deprecate this package and bundle the NetBeans Platform with the NetBeans IDE, since it's the only package which would depend on the platform?

Comment 15 gil cattaneo 2013-11-08 18:07:13 UTC
(In reply to Manuel Faux from comment #14)

> Is visualvm no longer maintained? So would you suggest to deprecate this
> package and bundle the NetBeans Platform with the NetBeans IDE, since it's
visualvm is again maintained, but for the moment, we can't deprecated NB-P,
otherwise we can rename this sub-package e.g. netbeans-platform7
> the only package which would depend on the platform?
yes

Comment 16 Manuel Faux 2013-11-08 18:26:53 UTC
I think I don't completely understand: visualvm is maintained and depends on netbeans-platform, and also NB IDE would depend on it, so why not just updating netbeans-platform to 7.4?

Comment 17 gil cattaneo 2013-11-08 18:56:48 UTC
if build netbeans-platform un a separate package after netbeans can not find some libraries or modules

Comment 18 gil cattaneo 2013-11-08 18:58:40 UTC
and other problems but now don't remember

Comment 19 Fedora End Of Life 2015-01-09 17:31:30 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Julien Enselme 2015-01-11 13:51:02 UTC
For your information, I tried to update to 8.0.2. It seems to rely on eclipse-equinox-osgi 3 (for package org.eclipse.osgi.framework.adaptor). However, fedora now has the 4th version of this framework and the required package (org.eclipse.osgi.framework.adaptor) doesn't exits any more. I haven't been able to find information about a migration from 3 to 4.

The error message is here: http://jenselme.perso.centrale-marseille.fr/visible/logs/2015-01-10_build-nb-platform.error.log.

If you have any information on this, please let me know.

Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/netbeans-platform.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/netbeans-platform-8.0.2-1.fc21.src.rpm

Comment 21 Fedora Admin XMLRPC Client 2015-03-31 15:16:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 22 gil cattaneo 2015-03-31 15:34:16 UTC
No more interested


Note You need to log in before you can comment on or make changes to this bug.